.payment {
  .view-header {
    margin-bottom: 15px;
    margin-top: 10px;
    text-align: center;
    h3 {
      font-weight: bold;
      margin-top: 30px;
    }
  }
}

@mixin card{

  .divider:before {
    content: ':';
    font-weight: bold;
    padding-right: 5px;
    float: left;
  }
  .p-b-6 {
    padding: 0 0 6px 0 !important;
  }
  .p-0 {
    padding: 0;
  }
  .card-header {
    padding-right: 8px;
    padding-bottom: 6px;
    font-weight: bold;
    font-style: italic;
  }

  .card-name {
    input {
      float: left;
      margin-top: 4px;
    }
    span {
      display: table-cell;
      padding-left: 10px;
    }
  }
  margin-bottom: 15px;
  padding: 12px;
  background-color: #FCF5EE;
  border: 1px solid #FBD8B4;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;

  .card-type {
    margin-left: 15px;
    margin-right: 5px;
    width: 18px;
  }
  .disabled {
    pointer-events: none;
  }

}

.card-view {
  .card-layout {
    border: 2px groove;
    padding: 20px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;

    .existing-cards {
      .existing-card-header {
        margin-bottom: 20px;
        div {
          font-size: 20px;
          font-weight: bold;
        }
      }

      .existing-card-data {
        @include card
      }

      .existing-card-payment {
        @include card
      }
    }

    .new-card {
      @media (min-width: 501px) {
        form {
          width: 480px;
        }
      }
      @media (max-width: 500px) {
        form {
          width: auto;
        }
      }
    }
  }

}